Docs
Get Proposal Invoices
GET /ProposalInvoices
GET
/ProposalInvoicesLists the event's proposal invoices, newest issued first. Each one shows its number, purpose, client, total, amount received, amount outstanding, whether it is settled, and its allocations to proposals and payments. Requires event admin.
Response
Type: GetProposalInvoicesResponse[]
GetProposalInvoicesResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| number | string| null | |
| purpose | string| null | |
| client | GetProposalInvoicesResponseClientInfo | |
| description | string| null | |
| issuedDate | date-time | |
| dueDate | date-time| null | |
| fileId | uuid| null | |
| total | number | |
| received | number | |
| outstanding | number | |
| isSettled | boolean | |
| allocations | GetProposalInvoicesResponseAllocation[]| null | |
| payments | GetProposalInvoicesResponsePayment[]| null |
GetProposalInvoicesResponseClientInfo
| Field | Type | Description |
|---|---|---|
| collaboratorRecordId | uuid| null |
GetProposalInvoicesResponseAllocation
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| proposalId | uuid | |
| proposalName | string| null | |
| amount | number |
GetProposalInvoicesResponsePayment
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| amount | number | |
| date | date-time | |
| method | string| null | |
| reference | string| null |